Bug 187376 - [UPDATE] x11/slim to 1.3.6
Summary: [UPDATE] x11/slim to 1.3.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-08 16:30 UTC by Olivier Duchateau
Modified: 2014-03-14 15:40 UTC (History)
0 users

See Also:


Attachments
file.diff (5.35 KB, patch)
2014-03-08 16:30 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2014-03-08 16:30:00 UTC
- Update to 1.3.6
- Add support of DragonFly in CMakeLists.txt and merge post-patch target in CMakeLists.txt patch
- Don't build locker, due to lack of VT_UNLOCKSWITCH in sys/consio.h
- Adjust dependencies

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-03-08 16:30:07 UTC
Maintainer of x11/slim,

Please note that PR ports/187376 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187376

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-08 16:30:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Henry Hu 2014-03-13 23:38:31 UTC
This patch seems fine, but I have a question: why do you make it depend on
gcrypt?
I can't find any clue that it depends on gcrypt. grep -ir gcrypt * yields
nothing in the work dir.
Moreover, if I remove the gcrypt dependency, it still builds fine on
redports.
From "ldd /usr/local/bin/slim" I also can't find libgcrypt.so.


-- 
Cheers,
Henry
Comment 4 dfilter service freebsd_committer 2014-03-14 15:31:50 UTC
Author: olivierd
Date: Fri Mar 14 15:31:42 2014
New Revision: 348257
URL: http://svnweb.freebsd.org/changeset/ports/348257
QAT: https://qat.redports.org/buildarchive/r348257/

Log:
  - Update to 1.3.6
  - Add support of DragonFly and merge post-patch target into CMakeLists.txt patch
  - Don't build locker, because VT_UNLOCKSWITCH is not defined in sys/consio.h
  - Adjust dependencies
  
  PR:		187376
  Submitted by:	myself
  Approved by:	Henry Hu (maintainer)

Added:
  head/x11/slim/files/patch-CMakeLists.txt   (contents, props changed)
Modified:
  head/x11/slim/Makefile
  head/x11/slim/distinfo
  head/x11/slim/pkg-plist

Modified: head/x11/slim/Makefile
==============================================================================
--- head/x11/slim/Makefile	Fri Mar 14 15:20:55 2014	(r348256)
+++ head/x11/slim/Makefile	Fri Mar 14 15:31:42 2014	(r348257)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	slim
-PORTVERSION=	1.3.5
-PORTREVISION=	3
+PORTVERSION=	1.3.6
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.berlios.de/pub/slim/ \
 		SF/slim.berlios
@@ -19,19 +18,23 @@ LIB_DEPENDS=	libdbus-1.so:${PORTSDIR}/de
 		libpng15.so:${PORTSDIR}/graphics/png \
 		libfreetype.so:${PORTSDIR}/print/freetype2 \
 		libck-connector.so:${PORTSDIR}/sysutils/consolekit \
-		libexpat.so:${PORTSDIR}/textproc/expat2 \
 		libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig
 
 USES=		cmake pkgconfig
-USE_XORG=	ice sm x11 xau xcb xdmcp xext xft xmu xorg-server xrender xt
+USE_XORG=	ice sm x11 xau xcb xdmcp xext xft xmu xorg-server xrandr \
+	xrender xt
 USE_RC_SUBR=	slim
 SUB_FILES=	pkg-message
 
-CMAKE_ARGS=	-DUSE_CONSOLEKIT=yes
+CMAKE_ARGS=	-DUSE_CONSOLEKIT=yes \
+	-DBUILD_SLIMLOCK=no \
+	-DBUILD_SHARED_LIBS=yes
 
 OPTIONS_DEFINE=		PAM
 OPTIONS_DEFAULT=	PAM
 
+PLIST_SUB+=	VERSION="${PORTVERSION}"
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MPAM}
@@ -46,12 +49,6 @@ post-patch:
 	@${CP} ${WRKSRC}/slim.conf ${WRKSRC}/slim.conf.sample
 	@${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
 		${WRKSRC}/slim.conf.sample
-	@${REINPLACE_CMD} -e 's|/usr/local|${PREFIX}|' \
-		-e 's|/etc|${PREFIX}/etc|' \
-		-e 's|share/man|man|' \
-		-e 's|slim.conf|slim.conf.sample|' \
-		-e '/systemd/d' \
-		${WRKSRC}/CMakeLists.txt
 
 post-install:
 .	if ${PORT_OPTIONS:MPAM}

Modified: head/x11/slim/distinfo
==============================================================================
--- head/x11/slim/distinfo	Fri Mar 14 15:20:55 2014	(r348256)
+++ head/x11/slim/distinfo	Fri Mar 14 15:31:42 2014	(r348257)
@@ -1,2 +1,2 @@
-SHA256 (slim-1.3.5.tar.gz) = 818d209f51e2fa8d5b94ef75ce90a7415be48b45e796d66f8083a9532b655629
-SIZE (slim-1.3.5.tar.gz) = 226413
+SHA256 (slim-1.3.6.tar.gz) = 21defeed175418c46d71af71fd493cd0cbffd693f9d43c2151529125859810df
+SIZE (slim-1.3.6.tar.gz) = 232547

Added: head/x11/slim/files/patch-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11/slim/files/patch-CMakeLists.txt	Fri Mar 14 15:31:42 2014	(r348257)
@@ -0,0 +1,87 @@
+--- ./CMakeLists.txt.orig	2013-10-01 22:38:05.000000000 +0000
++++ ./CMakeLists.txt	2014-03-08 16:26:46.000000000 +0000
+@@ -14,6 +14,7 @@
+ INCLUDE(CheckCCompilerFlag)
+ INCLUDE(CheckCXXCompilerFlag)
+ INCLUDE(CheckTypeSize)
++INCLUDE(GNUInstallDirs)
+ 
+ # Version
+ set(SLIM_VERSION_MAJOR "1")
+@@ -23,14 +24,23 @@
+ 
+ set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Installation Directory")
+ set(PKGDATADIR "${CMAKE_INSTALL_PREFIX}/share/slim")
+-set(SYSCONFDIR "/etc")
+-set(LIBDIR "/lib")
+-set(MANDIR "${CMAKE_INSTALL_PREFIX}/share/man")
++if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR
++		${CMAKE_SYSTEM_NAME} MATCHES "DragonFly"
++		)
++	set(SYSCONFDIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}")
++	set(LIBDIR "${CMAKE_INSTALL_FULL_LIBDIR}")
++	set(MANDIR "${CMAKE_INSTALL_PREFIX}/man")
++else()
++        set(SYSCONFDIR "/etc")
++        set(LIBDIR "/lib")
++        set(MANDIR "${CMAKE_INSTALL_PREFIX}/share/man")
++endif()
+ 
+ set(SLIM_DEFINITIONS)
+ if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR
+ 		${CMAKE_SYSTEM_NAME} MATCHES "NetBSD" OR
+-		${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD"
++		${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD" OR
++		${CMAKE_SYSTEM_NAME} MATCHES "DragonFly"
+ 		)
+ 	set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DNEEDS_BASENAME")
+ else()
+@@ -70,8 +80,10 @@
+ )
+ if(USE_PAM)
+ 	set(common_srcs ${common_srcs} PAM.cpp)
+-    # for now, only build slimlock if we are using PAM.
+-    set(BUILD_SLIMLOCK 1)
++        # for now, only build slimlock if we are using PAM.
++        if(BUILD_SLIMLOCK)
++                set(BUILD_SLIMLOCK 1)
++        endif(BUILD_SLIMLOCK)
+ endif(USE_PAM)
+ 
+ # Build common library
+@@ -120,7 +132,9 @@
+ 		message("\tPAM Found")
+ 		set(SLIM_DEFINITIONS ${SLIM_DEFINITIONS} "-DUSE_PAM")
+ 		target_link_libraries(${PROJECT_NAME} ${PAM_LIBRARY})
+-		target_link_libraries(slimlock ${PAM_LIBRARY})
++		if(BUILD_SLIMLOCK)
++		        target_link_libraries(slimlock ${PAM_LIBRARY})
++		endif(BUILD_SLIMLOCK)
+ 		include_directories(${PAM_INCLUDE_DIR})
+ 	else(PAM_FOUND)
+ 		message("\tPAM Not Found")
+@@ -221,7 +235,9 @@
+ ####### install
+ # slim
+ install(TARGETS slim RUNTIME DESTINATION bin)
+-install(TARGETS slimlock RUNTIME DESTINATION bin)
++if(BUILD_SLIMLOCK)
++        install(TARGETS slimlock RUNTIME DESTINATION bin)
++endif(BUILD_SLIMLOCK)
+ 
+ if (BUILD_SHARED_LIBS)
+ 	set_target_properties(libslim PROPERTIES
+@@ -236,9 +252,11 @@
+ 
+ # man file
+ install(FILES slim.1 DESTINATION ${MANDIR}/man1/)
+-install(FILES slimlock.1 DESTINATION ${MANDIR}/man1/)
++if(BUILD_SLIMLOCK)
++        install(FILES slimlock.1 DESTINATION ${MANDIR}/man1/)
++endif(BUILD_SLIMLOCK)
+ # configure
+-install(FILES slim.conf DESTINATION ${SYSCONFDIR})
++install(FILES slim.conf.sample DESTINATION ${SYSCONFDIR})
+ # systemd service file
+ if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+ 	install(FILES slim.service DESTINATION ${LIBDIR}/systemd/system)

Modified: head/x11/slim/pkg-plist
==============================================================================
--- head/x11/slim/pkg-plist	Fri Mar 14 15:20:55 2014	(r348256)
+++ head/x11/slim/pkg-plist	Fri Mar 14 15:31:42 2014	(r348257)
@@ -1,4 +1,6 @@
 bin/slim
+lib/libslim.so
+lib/libslim.so.%%VERSION%%
 %%DATADIR%%/themes/default/background.jpg
 %%DATADIR%%/themes/default/panel.png
 %%DATADIR%%/themes/default/slim.theme
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Olivier Duchateau freebsd_committer 2014-03-14 15:36:22 UTC
State Changed
From-To: feedback->closed

Committed
Comment 6 Olivier Duchateau freebsd_committer 2014-03-14 15:57:29 UTC
On Thu, 13 Mar 2014 19:38:31 -0400
Henry Hu <henry.hu.sh@gmail.com> wrote:

> This patch seems fine, but I have a question: why do you make it depend on
> gcrypt?
> I can't find any clue that it depends on gcrypt. grep -ir gcrypt * yields
> nothing in the work dir.
> Moreover, if I remove the gcrypt dependency, it still builds fine on
> redports.
> From "ldd /usr/local/bin/slim" I also can't find libgcrypt.so.

You're right, I remove this dependency.

> 
> 
> -- 
> Cheers,
> Henry


-- 
olivier